Package org.apache.sling.scripting.sightly.impl.html.dom

## Class DocumentParser

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.html.dom.DocumentParser

    public class DocumentParser
    extends Object

### Constructor Summary

Constructors
`DocumentParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `parse​(String document, MarkupHandler handler)` Parse the given document and use the handler to process the markup events

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentParser

    public DocumentParser()

### Method Detail

#### parse

    public static void parse​(String document,
                             MarkupHandler handler)

Parse the given document and use the handler to process the markup events

Parameters:
  `document` - - the parsed document
  `handler` - - a markup handler